Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.auth.params
Class AuthParams

    java.lang.Object
      org.apache.http.auth.params.AuthParams

    @Immutable
    public final class AuthParams

extends Object

An adaptor for manipulating HTTP authentication parameters in `HttpParams`.

Since:
  4.0
See Also:
  `AuthPNames`

Method Summary
`static String` | `getCredentialCharset(HttpParams params)` Obtains the charset for encoding `Credentials`.If not configured, `HTTP.DEFAULT_PROTOCOL_CHARSET`is used instead.
`static void` | `setCredentialCharset(HttpParams params, String charset)` Sets the charset to be used when encoding `Credentials`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCredentialCharset

    public static String getCredentialCharset(HttpParams params)

  Obtains the charset for encoding `Credentials`.If not configured, `HTTP.DEFAULT_PROTOCOL_CHARSET`is used instead.

  Returns:
    The charset

### setCredentialCharset

    public static void setCredentialCharset(HttpParams params,
                                            String charset)

  Sets the charset to be used when encoding `Credentials`.

  Parameters:
    `charset` - The charset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.